;
;  CWIS Developer Support Plugin - Settings File (Example)
;
;  This file can be used to force software settings to specific values.
;
;  To use, copy the file to local/developer.ini and edit the values in
;  the file as desired.
;
;  Any settings files name developer-*.ini and local/developer-*.ini
;  will be loaded before local/developer.ini.
;  
;  Section names are the canonical name of the plugin to which they apply,
;  or "SystemConfiguration" for system-wide configuration settings.
;
;  Setting sections may be made conditional based on the host name
;  by adding "host=HOSTNAME" or "host!=HOSTNAME" to the section header:
;       [Developer host!=publicserver.mygroup.org]
;       [UrlChecker host=developmentserver.mygroup.org]
;  Sections can also be made conditional based on the currently-active
;  canonical user interface name:
;       [BackwardCompatibility interface=MyInterface]
;       [BackwardCompatibility interface!=default]
;  Multiple hosts or interfaces may be specified by separating them with "|":
;       [Developer host!=publicserver.mygroup.org|otherpublicserver.net]
;  Conditional sections can be used to (for example) enable and set the
;  email whitelist to prevent emails from being sent to end users during
;  development.  
;

[Developer]

; Enable/disable auto-upgrading of the database via files
;       in install/DBUpgrades (default = FALSE)
;AutoUpgradeDatabase = TRUE
; Enable/disable auto-upgrading of the site via files 
;       in install/SiteUpgrades (default = FALSE)
;AutoUpgradeSite = TRUE
; How often to check for upgrades in minutes (default = 5)
;AutoUpgradeInterval = 2
; User IP addresses to run auto-upgrade for, separated by
;       commas and either literals or regular expressions
;AutoUpgradeIPMask = 123.45.67.89, /98\.765\.43\.*/

; Enable/disable image URL fallbacks (default = FALSE)
;UseFileUrlFallbacks = TRUE
; URL prefix to use for image URL fallbacks
;FileUrlFallbackPrefix = http://mylivesite.net/

; Enable/disable display of loading info in the page footer for
;       privileged users (default = TRUE)
;PageLoadInfoEnabled = TRUE

; Enable/disable display of the variable monitor below the page footer 
;       for privileged users (default = TRUE)
;VariableMonitorEnabled = TRUE
; Limit on the length (number of characters) displayed by variable 
;       monitor for a value (default = 300)
;VariableDisplayThreshold = 900

; Enable/disable the use of an address whitelist for any 
;       outgoing email (default = FALSE)
;UseEmailWhitelist = TRUE
; Addresses or regular expressions (in preg_match() format) for
;       email whitelist, separated by commas
;EmailWhitelist = /*@mydomain\.org/, aspecific@address.net


[UrlChecker]

; Metadata fields to check
;FieldsToCheck = Resources : Url, Events : Url


[MLPHPList]

; URL to use for sending commands to phpList
;RESTUrl = http://mydomain.org

; phpList administrative user name
;PHPListUser = adminuser

; phpList administrative user password
;PHPListPass = adminpass

[SystemConfiguration]

; Nullify any root URL override that has been set
;RootUrlOverride = ''

